/**Begin D:\Users\rd_william_li\Documents\lipin\PDM\PDM_UPGRADE\pdm_new\BOS_table.sql **/


 EXEC p_AlterColumn 'T_SEC_USERGROUP_L', 'FFULLNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SEC_USERGROUP_L', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SEC_USERGROUP', 'FFULLNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SEC_USERGROUP', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ADMINSCHEME', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ADMINSCHEME_L', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ADMINTYPE', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ADMINTYPE_L', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_BIZROLE', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_BIZROLE_L', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_OPERATIONRULE_L', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ROLE_L', 'FREMARK', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ROLEGROUP_L', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ROLEGROUP_L', 'FFULLNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_OPERATIONRULE', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ROLEGROUP', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ROLEGROUP', 'FFULLNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ROLE', 'FREMARK', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_DATARULE', 'FDESCRIPTION', 'VARCHAR(500)', 'NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_DATARULE_L', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ADMINGROUP', 'FFULLNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ADMINGROUP', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ADMINGROUP_L', 'FFULLNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_ADMINGROUP_L', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_USRGRPSTD', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_PERM_USRGRPSTD_L', 'FDESCRIPTION', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';


/**End D:\Users\rd_william_li\Documents\lipin\PDM\PDM_UPGRADE\pdm_new\BOS_table.sql **/
